import java.io.*;

public class SerializeData implements Serializable{

    private static final long serialVersionUID = 4512705448352368807L;
    private Object o;
    public SerializeData(Object obj){
        o = obj;
    }
	
    public static byte[] WriteToBytes(Object obj){
        SerializeData sd = new SerializeData(obj);
        ByteArrayOutputStream baos = null;

        try{
            baos =new ByteArrayOutputStream();
            ObjectOutputStream out = new ObjectOutputStream(baos);
            out.writeObject(sd);	
        }
        catch(IOException e){
            System.err.println("IO exception");
        }
        return baos.toByteArray();
    }

    public static Object GetObjectFromBytes(byte[] buf){
        SerializeData data = null;
        try{
            ObjectInputStream in = new ObjectInputStream(new ByteArrayInputStream(buf));
            data = (SerializeData) in.readObject();
        }
        catch(IOException e){
            System.err.println("IO exception");
        }
        catch(ClassNotFoundException e){
            System.err.println("class not found exception");
        }
        return data.getObject();
    }

    private Object getObject(){
        return o;
    }

    public static void main(String[] args){
        byte[] buf = SerializeData.WriteToBytes("Hello!!!!");
        System.out.println(buf);
        Object obj = SerializeData.GetObjectFromBytes(buf);
        System.out.println(obj);
    }
}